//
//      FILE:           Lgi.h
//      AUTHOR:         Matthew Allen
//      DATE:           24/9/99
//      DESCRIPTION:    Global LGI include
//
//      Copyright (C) 1999, Matthew Allen
//              fret@ozemail.com.au
//
//		This grabs all the main includes for an Lgi application
//		Use this over a list of #includes at the top of source code


#ifndef __LGI_H
#define __LGI_H

// Initial defines
#define LGI_VER								2.00

// My includes
#include "LgiInc.h"							// Xp
#include "LibDefs.h"						// Xp
#include "LgiOsDefs.h"						// Platform specific 
#include "Progress.h"						// Xp
#include "VFile.h"							// Platform specific
#include "VMem.h"							// Platform specific
#include "Gdc2.h"							// Platform specific

#include "LgiRes.h"							// Xp
#include "LgiClasses.h" 					// Platform specific
#include "LgiCommon.h"						// Xp

#endif