#ifndef __GFINDREPLACEDLG_H
#define __GFINDREPLACEDLG_H

class LgiClass GFindReplace {

	#ifdef WIN32
	GWndRef hDlg;
	FINDREPLACE FindInfo;
	#endif

	GView *Parent;
	int FindMsgID;
	bool FindOp;

public:
	char Find[256];
	char Replace[256];

	GFindReplace(GView *parent = NULL);
	virtual ~GFindReplace();
	#ifdef WIN32
	virtual GWndRef Handle() { return hDlg; }
	#endif

	void SetParent(GView *hParent);

	bool OpenFind();
	bool OpenReplace();
	int OnEvent(GMessage *Msg);
	virtual bool OnFind();
	virtual bool OnReplace();

	bool CaseSensitive();
	void CaseSensitive(bool i);
	bool WholeWord();
	void WholeWord(bool i);
	bool BtnFindNext();
	bool BtnReplace();
	bool BtnReplaceAll();
};

#endif