#ifndef __INET_TOOLS_H
#define __INET_TOOLS_H

#include "Contain.h"

// INet Tools
class InetHeader
{
public:
	char *Name;
	char *Str;

	InetHeader(char *n = 0, char *s = 0)
	{
		Name = n;
		Str = s;
	}

	~InetHeader()
	{
		DeleteArray(Name);
		DeleteArray(Str);
	}
};


LgiFunc void InetTokeniseHeaders(List<InetHeader> &Out, char *In);
LgiFunc char *InetGetField(char *s);
LgiFunc char *InetGetHeaderField(char *Headers, char *Field, int Len = -1);
LgiFunc char *InetRemoveField(char *Headers, char *Field);

#endif