#define TIFF_LZW_BUFFER					(16<<10)  // anyone know how big this should be??

class Lzw
{
	// Codes
	int CodeSize;
	int ClearCode;
	int EoiCode;
	int NextCode;
	int MaxCode;
	uchar *NextBuf;
	int CodeLength[4096];
	uchar *CodePtr[4096];
	uchar *CodeBuf;

	// Buffering
	int Datum;
	int BitPos;
	int BitsLeft;
	uchar *BufPos;
	int BufSize;
	uchar *Buffer;
	BytePipe *Pipe;
	VFile *File;

	// Methods
	void InitializeTable();
	int InputCode();
	void OutputCode(int code);
	void Flush(bool Final = false);

public:
	Progress *Meter;

	Lzw();
	virtual ~Lzw();

	void SetBufSize(int i);
	bool Decompress(BytePipe *out, BytePipe *in, VFile *file = 0);
	bool Compress(BytePipe *out, BytePipe *in);
};

