/*hdr
**      FILE:           GuiMenu.cpp
**      AUTHOR:         Matthew Allen
**      DATE:           18/7/98
**      DESCRIPTION:    Gui menu system
**
**      Copyright (C) 1998, Matthew Allen
**              fret@ozemail.com.au
*/

#include <stdio.h>
#include "Lgi.h"

///////////////////////////////////////////////////////////////////////////////////////////////
GSubMenu::GSubMenu(char *name)
{
}

GSubMenu::~GSubMenu()
{
}

GMenuItem *GSubMenu::AppendItem(char *Str, int Id, bool Enabled, int Where)
{
	return 0;
}

GMenuItem *GSubMenu::AppendSeparator(int Where)
{
	return 0;
}

GSubMenu *GSubMenu::AppendSub(char *Str, int Where)
{
	return 0;
}

void GSubMenu::Empty()
{
	while (RemoveItem(0));
}

bool GSubMenu::RemoveItem(int i)
{
	bool Status = false;
	return Status;
}

bool GSubMenu::RemoveItem(GMenuItem *Item)
{
	if (Item AND Items.HasItem(Item))
	{
		return Item->Remove();
	}

	return FALSE;
}

int GSubMenu::Float(GView *From, int x, int y, bool Left)
{
	return 0;
}

GMenuItem *GSubMenu::FindItem(int Id)
{
	return 0;
}

///////////////////////////////////////////////////////////////////////////////////////////////
GMenuItem::GMenuItem()
{
}

GMenuItem::GMenuItem(GMenu *m, GSubMenu *p, int Pos)
{
}

GMenuItem::~GMenuItem()
{
}

GSubMenu *GMenuItem::GetParent()
{
	return 0;
}

bool GMenuItem::Remove()
{
	return FALSE;
}

void GMenuItem::Id(int i)
{
}

void GMenuItem::Separator(bool s)
{
}

void GMenuItem::Checked(bool c)
{
}

bool GMenuItem::Name(char *n)
{
	bool Status = GObject::Name(n);
	return Status;
}

void GMenuItem::Enabled(bool e)
{
}

void GMenuItem::Focus(bool f)
{
}

void GMenuItem::Sub(GSubMenu *s)
{
}

void GMenuItem::Visible(bool i)
{
}

int GMenuItem::Id()
{
	return 0;
}

char *GMenuItem::Name()
{
	return 0;
}

bool GMenuItem::Separator()
{
	return 0;
}

bool GMenuItem::Checked()
{
	return 0;
}

bool GMenuItem::Enabled()
{
	return 0;
}

bool GMenuItem::Visible()
{
	return TRUE;
}

bool GMenuItem::Focus()
{
	return 0;
}

GSubMenu *GMenuItem::Sub()
{
	return 0;
}

///////////////////////////////////////////////////////////////////////////////////////////////
GMenu::GMenu() : GSubMenu("")
{
}

GMenu::~GMenu()
{
}

bool GMenu::Attach(GView *p)
{
	bool Status = FALSE;
	return Status;
}

bool GMenu::Detach()
{
	bool Status = FALSE;
	return Status;
}

int GMenu::OnEvent(GMessage *Msg)
{
	return 0;
}


////////////////////////////////////////////////////////////////////////////
/*
GAccelerator::GAccelerator(int flags, int key, int id)
{
	Flags = flags;
	Key = key;
	Id = id;
}

bool GAccelerator::Match(int a, int b)
{
	if (a == Key)
	{
	}

	return false;
}
*/

////////////////////////////////////////////////////////////////////////////
GCommand::GCommand()
{
	Flags = GWF_ENABLED | GWF_VISIBLE;
	Id = 0;
	ToolButton = 0;
	MenuItem = 0;
	Accelerator = 0;
	TipHelp = 0;
	PrevValue = false;
}

GCommand::~GCommand()
{
	DeleteArray(Accelerator);
	DeleteArray(TipHelp);
}

bool GCommand::Enabled()
{
	if (ToolButton)
		return ToolButton->Enabled();
	if (MenuItem)
		return MenuItem->Enabled();
	return false;
}

void GCommand::Enabled(bool e)
{
	if (ToolButton)
	{
		ToolButton->Enabled(e);
	}
	if (MenuItem)
	{
		MenuItem->Enabled(e);
	}
}

bool GCommand::Value()
{
	bool HasChanged = false;

	if (ToolButton)
	{
		HasChanged |= (ToolButton->Value() != 0) ^ PrevValue;
	}
	if (MenuItem)
	{
		HasChanged |= (MenuItem->Checked() != 0) ^ PrevValue;
	}

	if (HasChanged)
	{
		Value(NOT PrevValue);
	}

	return PrevValue;
}

void GCommand::Value(bool v)
{
	if (ToolButton)
	{
		ToolButton->Value(v);
	}
	if (MenuItem)
	{
		MenuItem->Checked(v);
	}
	PrevValue = v;
}
